# Nope `GET` `https://api.unusualwhales.com/api/stock/{ticker}/nope` Returns the tickers NOPE for the given market day broken down per minute. NOPE is the Net Options Pricing Effect, which tracks the intraday net delta of any ticker, but most research has been done on indexes. It functions under 2 assumptions: 1) MM's take short side of any call or put traded during the day 2) MM's try to minimize risk by dynamically hedging their delta-gamma exposure, and do so by buying/shorting the underlying stock in proportion to the total net delta being tradedBased on these assumptions, options trading in large amounts (re: very liquid tickers) can potentially drive the price of the underlying, to a certain extent. Large movements might exacerbate this real time hedging, and drive price movements further in respective directions. In short, NOPE represents a best-estimate of expected number of shares to be hedged at any given time, and will show a general expected direction on the underlying The original NOPE calculation was based on the following formula: `NOPE = (Call Delta - Put Delta) / Stock Volume` where call/put delta is obtained by multiplying each chains volume with its latest delta and then summing those values up. `NOPE fill` on the other hand is based on the delta at the time of the transaction Date must be the current or a past date. If no date is given, returns data for the current/last market day. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | Yes | A single ticker | ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `date` | Optional Market Date | No | A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `call_delta` | Call Delta | The total call delta obtained by multiplying the volume of all call options with their latest delta. | | `call_fill_delta` | Call Fill Delta | The total call delta obtained by summing up the size of each call trade multiplied by the delta at the time of the transaction. | | `call_vol` | Call Volume | The cumulative total volume of call options traded. | | `nope` | Nope score | The NOPE value based on call_delta & put_delta | | `nope_fill` | Nope Fill | The NOPE value based on call_fill_delta & put_fill_delta | | `put_delta` | Put Delta | The total put delta obtained by multiplying the volume of all put options with their latest delta. | | `put_fill_delta` | Put Fill Delta | The total put delta obtained by summing up the size of each put trade multiplied by the delta at the time of the transaction. | | `put_vol` | Put Volume | The cumulative total volume of put options traded. | | `stock_vol` | Stock Volume | The cumulative total volume of the underlying stock traded. | | `timestamp` | Timestamp | The (start of minute) timestamp of the data. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/stock/{ticker}/nope" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/stock/{ticker}/nope", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "call_delta": "-21257.36", "call_fill_delta": "-28564.02", "call_vol": 23421, "nope": "-0.000648", "nope_fill": "-0.000434", "put_delta": "-43593.96", "put_fill_delta": "-14947.51", "put_vol": 23421, "stock_vol": 100000, "timestamp": "2024-10-28T18:46:00Z" } ] } ```